/*
 * 	File:	main.c
 * 	Date:	2011-01-02
 *  Zheleznjakov Denis @ ZiBlog.RU
 */

#include "main.h"

//-----------------------------------------------------------------------------
void delay_ms(uint16_t time)
{
	volatile uint32_t i;

	while (time-- > 0)
	{
		i = 1000;
		while (i-- > 0)
		{
		}
	}
}

//-----------------------------------------------------------------------------
int main(void)
{
	PIN_CONFIGURATION(LED_GREEN);
	PIN_CONFIGURATION(LED_BLUE);
	PIN_CONFIGURATION(BUTTON);

	PIN_OFF(LED_BLUE);
	PIN_ON(LED_GREEN);

	interrupt_init();

	EXTI->IMR &= ~EXTI_IMR_MR0;
	EXTI->EMR &= ~EXTI_EMR_MR0;

	RCC->APB2ENR |= RCC_APB2ENR_AFIOEN;

	AFIO->EXTICR[0] &= ~AFIO_EXTICR1_EXTI0_PA;
	AFIO->EXTICR[0] |= AFIO_EXTICR1_EXTI0_PA;

	EXTI->RTSR |= EXTI_RTSR_TR0;
	EXTI->FTSR |= EXTI_FTSR_TR0;

	EXTI->IMR |= EXTI_IMR_MR0;

	while (1)
	{
	}

	return 0;
}
